Attacker Value
Moderate
(1 user assessed)
Exploitability
Very High
(1 user assessed)
User Interaction
None
Privileges Required
Low
Attack Vector
Local
0

CVE-2019-17387

Disclosure Date: December 05, 2019
Add MITRE ATT&CK tactics and techniques that apply to this CVE.

Description

An authentication flaw in the AVPNC_RP service in Aviatrix VPN Client through 2.2.10 allows an attacker to gain elevated privileges through arbitrary code execution on Windows, Linux, and macOS.

Add Assessment

1
Ratings
Technical Analysis

VPN clients are commonly found on laptops for remote office workers, This is a local priv esc on all Aviatrix VPN Clients. As it is local it would need either a malicious user or an attacker with User level access looking to escalate.

When the VPN client starts it creates a locally running Web service. This service is capable of running commands in the context of the service, which runs as Root / Admin level permissions.

The service uses a set of certificates to authenticate the web service, however these certificates are included in a compiled python executable, it is it trivial to recover these certificated and therefore execute commands to gain elevated privileges.

https://immersivelabs.com/2019/12/04/aviatrix-vpn-client-vulnerability/

General Information

Additional Info

Technical Analysis